function Mosel_code = Change_speed_fix(Mosel_code, Scheduling_list, Shipname_slow, Kiel_length, VesselSpeed)

index = find(strcmp(Shipname_slow, Scheduling_list(:,1)));

cellline = find(contains(Mosel_code, strcat('s(', num2str(index))));

if Scheduling_list{index,4} == 1
    SlowSegments = cell2mat(Scheduling_list(index, 10:end));
    p = find(SlowSegments, 1);
    Speedreduction = SlowSegments(p);
    Slowedvelocity = (Kiel_length(p+1)-Kiel_length(p))/(VesselSpeed(index)-Speedreduction);
elseif Scheduling_list{index,4} == -1
    SlowSegments = cell2mat(Scheduling_list(index, 10:end));
    p = find(SlowSegments, 1, 'last');
    Speedreduction = SlowSegments(p);
    Slowedvelocity = (Kiel_length(p+1)-Kiel_length(p))/(VesselSpeed(index)-Speedreduction);
end

Mosel_code{cellline} = strcat('s(', num2str(index), ',', num2str(Scheduling_list{index, 5}), ') = ', num2str(Her skal farten staa), ';');

end