function [MinimumTraversingTime, Mosel_code] = Slow_down(MinimumTraversingTime, Shipname_slow, Scheduling_list, Kiel_length, VesselSpeed, Mosel_code)

old_min_travers = MinimumTraversingTime;

index = find(strcmp(Shipname_slow, Scheduling_list(:,1)));

if Scheduling_list{index,4} == 1
    SlowSegments = cell2mat(Scheduling_list(index, 10:end));
    p = find(SlowSegments, 1);
    Speedreduction = SlowSegments(p);
    MinimumTraversingTime(index, p) = round((Kiel_length(p+1)-Kiel_length(p))/(VesselSpeed(index)-Speedreduction));
elseif Scheduling_list{index,4} == -1
    SlowSegments = cell2mat(Scheduling_list(index, 10:end));
    p = find(SlowSegments, 1, 'last');
    Speedreduction = SlowSegments(p);
    MinimumTraversingTime(index, p) = round((Kiel_length(p+1)-Kiel_length(p))/(VesselSpeed(index)-Speedreduction));
end

cellline = find(contains(Mosel_code, strcat('s(', num2str(index),',')));
str = Mosel_code{cellline};
stringIndex = find(str == '=');
Checkspeed = str2double(str((stringIndex+1):(end-1)));

if MinimumTraversingTime(index, p) < Checkspeed
    MinimumTraversingTime(index, p) = Checkspeed;
else
    Mosel_code{cellline} = strcat('s(', num2str(index), ',', num2str(Scheduling_list{index, 5}), ') = ', num2str(MinimumTraversingTime(index, p), 16), ';');
end

end