function Historic_Waiting_outside = Calculate_historic_waiting_outside(Historic_arrival_segment, Vesselinfo)

nShips = size(Historic_arrival_segment,1);

Historic_Waiting_outside = zeros(nShips,1);

for i = 1:nShips
    if (Historic_arrival_segment(i,1) > 0) && ~(Historic_arrival_segment(i,end) > 0)
        % Direction is eastbound
        Historic_Waiting_outside(i) = Historic_arrival_segment(i,1) - Vesselinfo{i, 7};
    elseif ~(Historic_arrival_segment(i,1) > 0) && (Historic_arrival_segment(i,end) > 0)
        % Direction is eastbound
        Historic_Waiting_outside(i) = Historic_arrival_segment(i,end) - Vesselinfo{i, 7};
    else
        if Historic_arrival_segment(i,end) - Historic_arrival_segment(i,1) > 0
            % Direction is eastbound
            Historic_Waiting_outside(i) = Historic_arrival_segment(i,1) - Vesselinfo{i, 7};
        elseif Historic_arrival_segment(i,1) - Historic_arrival_segment(i,end) > 0
            % Direction is westbound
            Historic_Waiting_outside(i) = Historic_arrival_segment(i,end) - Vesselinfo{i, 7};
        else
            Historic_Waiting_outside(i) = 0;
        end
end


end