%Husk  endre i sim main --> create_schedule. Skal se slik ut:
%% Executing Moselcode, creating schedule
%initial_mos = Mosel_code;
%tic
%retcode = moselexec('matlab.mws:initial_mos');
%Time_mosel = [Time_mosel, toc];
%if retcode ~= 0
%    msgbox('Mosel did not run properly', 'Error message')
%end
%Statistics = Collect_statistics(Statistics, Time_mosel, Scheduling_list);
%Waiting_time(:,2:2:size(Waiting_time,2)) = [];

function Statistics = Collect_statistics(Statistics, Time_mosel, Scheduling_list, time, fixed_flag, RT_flag, Gap)

Scheduled_ships = size(Scheduling_list,1);
Exec_time = Time_mosel(end);
%Max_waiting = max(max(Waiting_time));
%Ave_travel_time = Objective/Scheduled_ships;
New_roll_name = strcat('Roll_',num2str(length(Time_mosel)));
New_roll_stats = table([Exec_time; Scheduled_ships; time; fixed_flag; RT_flag; Gap], 'VariableNames', {New_roll_name}, 'RowNames', {'Mosel Exec Time' 'Scheduled Ships' 'Simulation Time' 'Fixed z y/n' 'RT trigger y/n' 'Gap'});

Statistics = horzcat(Statistics, New_roll_stats);
end
