function SafetyTime = create_SafetyTime(VesselSpeed, Traffic_group_number, Direction)

nShips = size(VesselSpeed,1);

SafetyTime = zeros(nShips);

SafetyTime(:, Traffic_group_number <= 3) = 600;

SafetyTime(:, Traffic_group_number > 3) = 1000;

SafetyTime = SafetyTime./VesselSpeed;

SafetyTime(eye(nShips) == 1) = 0;

for i = 1:nShips
    for j = (i+1):nShips
        if Direction(i) ~= Direction(j)
            SafetyTime(i,j) = 0;
            SafetyTime(j,i) = 0;
        end
    end
end

end