function ConflictingShips = create_conflict(Direction, Traffic_group_number, Passage_number, ShipSegments)

nSegments = size(Passage_number,2);
nShips = size(Direction,1);
ConflictingShips = zeros(nShips, nShips, nSegments);

for i = 1:nSegments
    for j = 1:nShips
        for k = 1:nShips
            if j == k
                continue;
            elseif Direction(k) == Direction(j) || (Direction(k) ~= Direction(j) && Traffic_group_number(k) + Traffic_group_number(j) > Passage_number(i))
                % Sjekk om segment i er segment som bde k og j skal
                % passere
                if ismember(i, ShipSegments{k}) && ismember(i, ShipSegments{j})
                    ConflictingShips(k,j,i) = 1;
                    ConflictingShips(j,k,i) = 1;
                end
            end
        end
    end
end

end