function Mosel_code = Fix_precedence(Precedence, Mosel_code, Scheduling_list, ConflictingShips, ShipNames)

nShipsInPreviousPlan = length(ShipNames);
nShipsInCurrentPlan = size(Scheduling_list,1);

ShipsInPreviousPlan = zeros(nShipsInPreviousPlan,1);
ShipsInCurrentPlan = zeros(nShipsInCurrentPlan,1);

for i = 1:nShipsInPreviousPlan
    ShipsInPreviousPlan(i) = str2double(ShipNames{i}(8:end));
end

for i = 1:nShipsInCurrentPlan
    ShipsInCurrentPlan(i) = str2double(Scheduling_list{i,1}(8:end));
end

% Fixating for all ships in current plan
for i = 1:nShipsInCurrentPlan
    for j = 1:nShipsInCurrentPlan
        x = find(ShipsInCurrentPlan(i) == ShipsInPreviousPlan);
        y = find(ShipsInCurrentPlan(j) == ShipsInPreviousPlan);
        for k = 1:23
            if ConflictingShips(i,j,k) == 1
                Index = find(contains(Mosel_code,'minimize(WaitingTime);'));
                Index = Index - 1;
                Mosel_code(Index+1:end+1,:) = Mosel_code(Index:end,:);
                Mosel_code(Index,:) = {strcat('z(', num2str(i), ',', num2str(j), ',', num2str(k), ') =  ', num2str(Precedence(x,y,k)), ';')};
            end
        end
    end
end

end