function [slowarrivaltime, SafetyTime] = calc_slowarrivaltime(Scheduling_list, index_slow_ship, index_other_ship)

[Kiel_length, ~] = Gather_Canal_topology();

if Scheduling_list{index_slow_ship, 2} >= 5
    Speed_slow = 200;
else
    Speed_slow = 250;
end

if Scheduling_list{index_other_ship, 2} >= 5
    Speed_other = 200;
else
    Speed_other = 250;
end

if Scheduling_list{index_slow_ship, 4} == 1
    SlowSegments = cell2mat(Scheduling_list(index_slow_ship, 10:end));
    p = find(SlowSegments, 1);
    Speedreduction = SlowSegments(p);
elseif Scheduling_list{index_slow_ship, 4} == -1
    SlowSegments = cell2mat(Scheduling_list(index_slow_ship, 10:end));
    p = find(SlowSegments, 1, 'last');
    Speedreduction = SlowSegments(p);
end

SafetyTime = create_SafetyTime([Speed_slow, Speed_other], [Scheduling_list{index_slow_ship, 2}, Scheduling_list{index_other_ship, 2}], [Scheduling_list{index_slow_ship, 4}, Scheduling_list{index_other_ship, 4}]);

if isempty(Speedreduction)
    slowarrivaltime = (Kiel_length(Scheduling_list{index_slow_ship, 5} + 1) - Kiel_length(Scheduling_list{index_slow_ship, 5}))/(Speed_slow);
else
    slowarrivaltime = (Kiel_length(Scheduling_list{index_slow_ship, 5} + 1) - Kiel_length(Scheduling_list{index_slow_ship, 5}))/(Speed_slow-Speedreduction);
end

end