function SlowSegments = Create_SlowSegments(Slowships, Vesselinfo, slowsegments_lower, slowsegments_upper)

nShips = size(Vesselinfo,1);

SlowSegments = zeros(nShips, 23);

for i = 1:nShips
    if Slowships(i) == 1
        nSlowSegments = slowsegments_lower-1 + randi(slowsegments_upper-slowsegments_lower+1);
        if Vesselinfo{i,4} == 1
            Segments = randperm(22, nSlowSegments);
        elseif Vesselinfo{i,4} == -1
            Segments = randperm(22, nSlowSegments);
            Segments = Segments + 1;
        else
            error('Something wrong in Create_SlowSegments');
        end
        for j = 1:nSlowSegments
            SlowSegments(i, Segments(j)) = 10*randi(10);
        end
    end
end

SlowSegments = num2cell(SlowSegments);

end